Skip to content
VirtlixCP

Documentation / API

Server OS Reloads

List OS Reloads

GET /server/{server_id}/install

A list of OS Reloads that are currently running or queued on the server.

Response 200: A list of OS Reloads

Field Type Description
id integer VirtlixCP-specific unique identifier used for URLs, etc.
percent integer The percentage of the install that is completed.
profile object
profile.id integer
profile.name string
server object
server.id integer
server.name string
started_at object
started_at.iso_8601 string IS0 8601-formatted Date
started_at.unix integer Seconds since Unix epoch (Unix Timestamp)
step integer Index of the step that the install is on.
step_desc string Name for the step that the install is on.
steps integer The total number of steps that will be involved in the install.
updated_at object
updated_at.iso_8601 string IS0 8601-formatted Date
updated_at.unix integer Seconds since Unix epoch (Unix Timestamp)

Create OS Reload

POST /server/{server_id}/install

Start a new OS Reload on the server.

Request body

Field Type Required Description
disk object yes
disk.index integer The zero-based index of the disk that the install should occur on.
disk.raid integer 1 or 0 or null
iso_install_id integer yes (Optional) ID of the Windows Edition to install.
license_key string yes Only useful on Windows installs. Leave blank for trial.
password string yes
pxe_profile_billing string yes
pxe_profile_id integer yes At least one of pxe_profile_id, pxe_profile_billing must be specified.
queue boolean yes (Optional) If there is another install already running, queue the install given. Defaults to false, in which case starting an install while anothe is running yields an error.

Response 200: An OS Reload

Field Type Description
id integer VirtlixCP-specific unique identifier used for URLs, etc.
percent integer The percentage of the install that is completed.
profile object
profile.id integer
profile.name string
server object
server.id integer
server.name string
started_at object
started_at.iso_8601 string IS0 8601-formatted Date
started_at.unix integer Seconds since Unix epoch (Unix Timestamp)
step integer Index of the step that the install is on.
step_desc string Name for the step that the install is on.
steps integer The total number of steps that will be involved in the install.
updated_at object
updated_at.iso_8601 string IS0 8601-formatted Date
updated_at.unix integer Seconds since Unix epoch (Unix Timestamp)

Delete OS Reload.

DELETE /server/{server_id}/install/{install_id}

Response 200: OS Reload deleted.

View OS Reload

GET /server/{server_id}/install/{install_id}

View OS Reload.

Response 200: An OS Reload

Field Type Description
id integer VirtlixCP-specific unique identifier used for URLs, etc.
percent integer The percentage of the install that is completed.
profile object
profile.id integer
profile.name string
server object
server.id integer
server.name string
started_at object
started_at.iso_8601 string IS0 8601-formatted Date
started_at.unix integer Seconds since Unix epoch (Unix Timestamp)
step integer Index of the step that the install is on.
step_desc string Name for the step that the install is on.
steps integer The total number of steps that will be involved in the install.
updated_at object
updated_at.iso_8601 string IS0 8601-formatted Date
updated_at.unix integer Seconds since Unix epoch (Unix Timestamp)

View Preseed Template

GET /server/{server_id}/install/{install_id}/preseed

OS Reload Preseed Template

Response 200: OS Reload Preseed Template